Skip to main content
GET
/
v2
/
intelligence
/
safer
/
fleets
/
{dot_number}
/
authorities
List a carrier's operating authorities
curl --request GET \
  --url https://api.catenatelematics.com/v2/intelligence/safer/fleets/{dot_number}/authorities \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.catenatelematics.com/v2/intelligence/safer/fleets/{dot_number}/authorities"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.catenatelematics.com/v2/intelligence/safer/fleets/{dot_number}/authorities', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.catenatelematics.com/v2/intelligence/safer/fleets/{dot_number}/authorities"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))

}
require 'uri'
require 'net/http'

url = URI("https://api.catenatelematics.com/v2/intelligence/safer/fleets/{dot_number}/authorities")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
HttpResponse<String> response = Unirest.get("https://api.catenatelematics.com/v2/intelligence/safer/fleets/{dot_number}/authorities")
  .header("Authorization", "Bearer <token>")
  .asString();
using RestSharp;


var options = new RestClientOptions("https://api.catenatelematics.com/v2/intelligence/safer/fleets/{dot_number}/authorities");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);

Console.WriteLine("{0}", response.Content);
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.catenatelematics.com/v2/intelligence/safer/fleets/{dot_number}/authorities",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "registry": "fmcsa",
    "authority_number": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "fleet_registry_id": "<string>",
    "legal_name": "<string>",
    "dba_name": "<string>"
  }
]
{
  "code": 400,
  "message": "Bad Request",
  "detail": "<string>"
}
{
  "code": 401,
  "message": "Unauthorized",
  "detail": "<string>"
}
{
  "code": 403,
  "message": "Forbidden",
  "detail": "<string>"
}
{
  "code": 404,
  "message": "Not Found",
  "detail": "<string>"
}
{
  "code": 405,
  "message": "Method Not Allowed",
  "detail": "<string>"
}
{
  "code": 409,
  "message": "Conflict",
  "detail": "<string>"
}
{
  "code": 422,
  "message": "Invalid Request Body",
  "detail": [
    {
      "path": "<string>",
      "input": "<string>",
      "message": "<string>",
      "error_type": "<string>"
    }
  ]
}
{
  "code": 429,
  "message": "Too Many Requests",
  "detail": {
    "retry_after_seconds": 123,
    "message": "<string>"
  }
}
{
  "message": "Internal Server Error"
}
{
  "code": 501,
  "message": "Not Implemented",
  "detail": "<string>"
}
Provisional endpoint
This endpoint is available for early access. The core schema is stable, but minor details — such as field names or added fields — may change before it becomes generally available. Backward compatibility is not guaranteed.

See API Stability & Versioning for details on provisional endpoints.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

dot_number
string
required

Query Parameters

registry
enum<string>
default:fmcsa

Registry/authority that maintains the carrier record.

Available options:
fmcsa

Response

Successful Response

id
string<uuid>
required
registry
enum<string>
required

Registry/authority that maintains the carrier record

Available options:
fmcsa
authority_number
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
fleet_registry_id
string | null
dba_name
string | null
common_status
enum<string> | null

Operating authority status for a specific authority type (common/contract/broker)

Available options:
active,
inactive,
not_held
contract_status
enum<string> | null

Operating authority status for a specific authority type (common/contract/broker)

Available options:
active,
inactive,
not_held
broker_status
enum<string> | null

Operating authority status for a specific authority type (common/contract/broker)

Available options:
active,
inactive,
not_held